Scrum - Defect #972

"500 Internal Error” when trying to edit several issues at once
2015-02-12 17:02 - Philippe Andersson

Status: Resolved

Priority: Normal

Category: Issues list & form

Target version: Scrum v0.13.1

Source: Specification Blocked: No
Detected on version: Scrum v0.12.0 Alone:

Description

To reproduce:

1. open aproject-where-the-serumpluginis-enabled general "issues" tab (all projects)

2. go to "issues" tab
3. click on green 'V' on top of list to select all issues
4. right-click on selected issues list
5. in pop-up menu, select "edit"
Here is the error message you then get:

Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.
Back
The following messages have been found in the log (debug mode enabled):
Rendered plugins/scrum/app/views/scrum_hooks/issues/_bulk_edit.html.erb (0.8ms)
Rendered issues/bulk_edit.html.erb within layouts/base (116.6ms)

Completed 500 Internal Server Error in 1181.0ms

ActionView: :Template: :Error (undefined method ‘module_enabled?' for nil:NilClass) :
1l: <%- if @project.module_enabled? (:scrum) -%>

2: <% if @safe_attributes.include? ("sprint_id") -%>
3¢ <p>
4 <label for="sprint_id"><%= 1 (:field_sprint) $%$></label>

lib/redmine/hook.rb:111:in “block in render_on'

lib/redmine/hook.rb:61:in "block (2 levels) in call_ hook'

lib/redmine/hook.rb:61:in “each'

lib/redmine/hook.rb:61:in “block in call_hook'

lib/redmine/hook.rb:58:in “tap'

lib/redmine/hook.rb:58:in “call_hook'

lib/redmine/hook.rb:158:in “call_hook'

app/views/issues/bulk_edit.html.erb:116:in ‘block in _app_views_issues_bulk_edit_html_erb__ 2243
423065321322513_70092476344140"

app/views/issues/bulk_edit.html.erb:25:in °_app_views_issues_bulk_edit_html_erb_ 22434230653213
22513_70092476344140"

Subtasks:
To do # 1117: Check if @project is defined before using it Resolved

History

#1 - 2015-09-18 11:00 - Rafat Dutko
Hi,

We are experiencing the same issue, scrum plugin is colliding with bulk edit. (Redmine 3.1.0)
| can provide more details on request. Please help!

Regards
Rafat

#2 - 2015-09-25 16:22 - Rafat Dutko

Any updates on this case?

Regards
Rafat

#3 - 2015-10-13 10:01 - Emilio Gonzalez Montafa
- Description updated

- Category set to Issues list & form

- Priority changed from High to Normal

- Target version set to Scrum v0.13.1

- Sprint set to Sprint 24

- Position changed from 46 to 3

- Blocked set to No

#4 - 2015-10-13 10:07 - Emilio Gonzalez Montaha
- Description updated

- Status changed from New to Resolved

#5 - 2015-10-13 10:13 - Emilio Gonzalez Montaia
- Tracker changed from User story to Defect
- Source set to Specification

- Detected on version set to Scrum v0.12.0
